<mat-form-field class="form-field {{cssClass}}">
    <mat-label>{{label}}</mat-label>
    <input matInput [matDatepicker]="myDatePicker" [formControl]="control" [attr.data-test]="dataTest">
    <mat-datepicker-toggle matSuffix [for]="myDatePicker"></mat-datepicker-toggle>
    <mat-datepicker #myDatePicker></mat-datepicker>
    <mat-error *ngIf="control?.invalid && control?.touched && control?.hasError('required')">
        {{errorMessage}}
    </mat-error>
</mat-form-field>
<ng-content></ng-content>